Pular para o conteúdo principal
GET
/
crm
/
properties
/
2026-03
/
{objectType}
Ler todas as propriedades
curl --request GET \
  --url https://api.hubapi.com/crm/properties/2026-03/{objectType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "description": "<string>",
      "fieldType": "<string>",
      "groupName": "<string>",
      "label": "<string>",
      "name": "<string>",
      "options": [
        {
          "hidden": true,
          "label": "<string>",
          "value": "<string>",
          "description": "<string>",
          "displayOrder": 123
        }
      ],
      "type": "<string>",
      "archived": true,
      "archivedAt": "2023-11-07T05:31:56Z",
      "calculated": true,
      "calculationFormula": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": "<string>",
      "currencyPropertyName": "<string>",
      "dataSensitivity": "highly_sensitive",
      "dateDisplayHint": "absolute",
      "displayOrder": 123,
      "externalOptions": true,
      "formField": true,
      "hasUniqueValue": true,
      "hidden": false,
      "hubspotDefined": true,
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": true,
        "readOnlyValue": true,
        "readOnlyOptions": true
      },
      "numberDisplayHint": "currency",
      "referencedObjectType": "<string>",
      "sensitiveDataCategories": [
        "<string>"
      ],
      "showCurrencySymbol": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": "<string>"
    }
  ]
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

objectType
string
obrigatório

Parâmetros de consulta

archived
boolean
padrão:false

Se apenas os resultados que foram arquivados devem ser retornados.

dataSensitivity
enum<string>
padrão:non_sensitive
Opções disponíveis:
highly_sensitive,
non_sensitive,
sensitive
locale
string
properties
string

Resposta

successful operation

results
object[]
obrigatório
Last modified on April 13, 2026